Loading...
Searching...
No Matches
wayland::server::compositor_t Class Reference

the compositor singleton More...

`#include <wayland-server-protocol.hpp>`

## Public Member Functions

std::function< void(surface_t)> & | on_create_surface ()
| create new surface
std::function< void(region_t)> & | on_create_region ()
| create new region
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Detailed Description

the compositor singleton

A compositor. This object is a singleton global. The compositor is in charge of combining the contents of multiple surfaces into one displayable output.

Definition at line 269 of file wayland-server-protocol.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_create_region()

std::function< void(region_t)> & compositor_t::on_create_region | ( |  | ) |

create new region

Parameters

  id | the new region

Ask the compositor to create a new region.

Definition at line 1652 of file wayland-server-protocol.cpp.

## on_create_surface()

std::function< void(surface_t)> & compositor_t::on_create_surface | ( |  | ) |

create new surface

Parameters

  id | the new surface

Ask the compositor to create a new surface.

Definition at line 1646 of file wayland-server-protocol.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp